Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::RemoteDevice Struct Reference

Specification of a remote device that provides access to sensors. More...

Inheritance diagram for peripheral::GatewaySensorManager::RemoteDevice:

## Public Attributes

string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Specification of a remote device that provides access to sensors.

It contains all the information required to connect a remote device that provides access to sensors and actuators to be connected to one or more gateway sensors.

Before an instance of Sensor can be created, an instance of RemoteDevice must be present. The Sensor locates the corresponding RemoteDevice using the remote device id `deviceId`.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl